import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Dimension;
import java.awt.Font;
import java.awt.GridLayout;
import java.awt.Insets;

import javax.swing.ButtonGroup;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JProgressBar;
import javax.swing.JSeparator;
import javax.swing.border.EmptyBorder;


public class PanelProcessUndoProtection extends JPanel {
	private static final long serialVersionUID = 6257616352990229484L;
	private JLabel blankSpace;
    private JPanel panel;
    private JLabel progressDescription;
    private JProgressBar progress;
    private JLabel welcomeTitle;
    
    private JPanel contentPanel;
    private JSeparator separator;
    private JLabel textLabel;
    private JPanel titlePanel;
        
    public PanelProcessUndoProtection() {
        
        super();
                
        contentPanel = getContentPanel();
        
        titlePanel = new JPanel();
        textLabel = new JLabel();
        separator = new JSeparator();

        setLayout(new BorderLayout());

        titlePanel.setLayout(new BorderLayout());
        titlePanel.setBackground(Color.gray);
        
        textLabel.setBackground(Color.gray);
        textLabel.setFont(new Font("MS Sans Serif", Font.BOLD, 14));
        textLabel.setText("Pretending To Connect To Server");
        textLabel.setBorder(new EmptyBorder(new Insets(10, 10, 10, 10)));
        textLabel.setOpaque(true);

        titlePanel.add(textLabel, BorderLayout.CENTER);
        titlePanel.add(separator, BorderLayout.SOUTH);

        add(titlePanel, BorderLayout.NORTH);
        JPanel secondaryPanel = new JPanel();
        secondaryPanel.add(contentPanel, BorderLayout.NORTH);
        add(secondaryPanel, BorderLayout.WEST);
    }  
    
    public void setProgressText(String s) {
        progressDescription.setText(s);
    }
    
    public void setProgressValue(int i) {
        progress.setValue(i);
    }
    
    private JPanel getContentPanel() {            
        
        JPanel result = new JPanel();
        
        new ButtonGroup();
        welcomeTitle = new JLabel();
        panel = new JPanel();
        blankSpace = new JLabel();
        progress = new JProgressBar();
        progressDescription = new JLabel();

        result.setLayout(new java.awt.BorderLayout());

        welcomeTitle.setText("Now we will try to decrypt our data...");
        result.add(welcomeTitle, BorderLayout.NORTH);

        panel.setLayout(new GridLayout(0, 1));

        panel.add(blankSpace);
        
        progress.setPreferredSize(new Dimension(500, 20));
        progress.setStringPainted(true);
        panel.add(progress);

        progressDescription.setFont(new java.awt.Font("MS Sans Serif", 1, 11));
        progressDescription.setText("Unprotecting data...");
        panel.add(progressDescription);

        panel.add(blankSpace);
        panel.add(blankSpace);

        result.add(panel,  BorderLayout.CENTER);
        
        return result;
    }
}