import java.util.Comparator;
import SecureBlackbox.SFTPCommon.*;

public class FileInfoComparer implements Comparator<TElSftpFileInfo>{
	public int compare(TElSftpFileInfo x, TElSftpFileInfo y) {
		int ret = 0;
		if (!((x.getAttributes().getDirectory()) ^ (y.getAttributes().getDirectory()))) 
		{
			ret = x.getName().compareTo(y.getName());
		} 
		else 
		{
			if (x.getAttributes().getDirectory()) 
			{
				ret = -1;
			} 
			else 
			{
				ret = 1;
			}
		}			
		return ret;
	}

}
