import java.util.EventListener;
import java.util.EventObject;

class SessionEvent extends EventObject {
	private static final long serialVersionUID = 1L;
	public SessionEvent(Object source) {
		super(source);
	}
}

interface SessionEventListener extends EventListener {
	public void SessionStarted(SSHSession src);
	public void SessionClosed(SSHSession src);
	public void SessionInfoChanged(SSHSession src);
}